replicaCount: 1

image:
  repository: k8r.eu/justjanne/seafile
  pullPolicy: IfNotPresent
  tag: ""

imagePullSecrets: [ ]
nameOverride: ""
fullnameOverride: ""

# use a proper random secret key here
# undefined by default to force you to choose one
# cookie_secret: ""

ccnet:
  create_tables: true
  key: |-
    -----BEGIN RSA PRIVATE KEY-----
    ...
    -----END RSA PRIVATE KEY-----
  database:
    backend: pgsql
    hostname: "example.tld"
    port: 5432
    name: "ccnet"
    username: "username"
    password: "password"

seafile:
  create_tables: true
  database:
    backend: pgsql
    hostname: "example.tld"
    port: 5432
    name: "seafile"
    username: "username"
    password: "password"
  volume: |-
    emptyDir: {}

seahub:
  logLevel: "INFO"
  database:
    backend: "django.db.backends.postgresql"
    hostname: "example.tld"
    port: 5432
    name: "seahub"
    username: "username"
    password: "password"
  cache:
    enabled: false
    backend: "django.core.cache.backends.memcached.PyMemcacheCache"
    locations:
      - "example.tld:11211"
  email:
    use_tls: true
    hostname: "example.tld"
    port: 587
    username: "user@example.tld"
    password: "password"
    default_from_email: "user@example.tld"
    server_email: "user@example.tld"
  volume: |-
    emptyDir: {}

service:
  type: ClusterIP

ingress:
  external_schema: "https"
  host: "example.com"
  seafhttp_path: "/seafhttp"
  seahub_path: "/"
  annotations: { }

securityContext: { }
#  capabilities:
#    drop:
#      - ALL
#  runAsNonRoot: true
#  runAsUser: 1000

resources:
  limits:
    cpu: 500m
    memory: 2Gi
  requests:
    cpu: 200m
    memory: 500Mi

jobAnnotations: { }

podAnnotations: { }

podSecurityContext:
  fsGroup: 2000

nodeSelector: { }

tolerations: [ ]

affinity: { }
